#! /usr/bin/perl

#
# given a list of releases (say 1.0.3) passed as first param
# it attempts to download it; the second param is the library name (say numpy)
# it the  grabs numpy==1.0.3
#

$ARGV[0] || die "Syntax $0 deps file name\n";
$ARGV[1] || die "Syntax $0 module  name\n";
open (FH, $ARGV[0]) or die "Missed file $ARGV[0]\n";
@mods = <FH>;
close(FH);

chop(@mods);

my $name = $ARGV[1];

foreach $m (@mods)
  {
    
    my $tool = "python3 -m pip download --destination-directory /var/fast-shared-disk/pip-dir "; 
    
    sleep (int(rand(5)) + 5);
    my $rel = $name ."==".$m;
    my $cmd = $tool . $rel;
	
    print "###LOGKEEP $name, $rel, search\n";
    #print "###LOG\t\t\t$cmd\n";
    open my  $command_out, "-|", "$cmd 2>&1" or die;
    my @lines =<$command_out>;
    close($command_out);
    my $str = join (" ",@lines);
    $str =~ s/\n/ /g;
    $str =~ s/,/ /g;
      
    if ($str =~ /ERROR|error|unable|UNABLE/){
      print "###LOGKEEP fail,$rel,$str\n";
    }else{
      print "###LOGKEEP success,$rel,$str\n";
    }

  }



exit(0);
